Redmine - Defect #20437

Unable to read email from stdin. Invalid option: --unknown-user
2015-07-29 16:32 - Pavel Potcheptsov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.6.5
Description
Environment:
Redmine version 2.6.5.stable.14266
Ruby version 1.9.3-p327 (2012-11-10) [1686-1inux]
Rails version 3.2.21
Environment production
Database adapter Mysqgl2

# cat /root/raw_email
bla-bla

Project: it

# rake redmine:email:read RAILS_ENV="production" --unknown-user accept --no-permission-check prior
ity=normal status=new tracker=task allow_override=project < /root/raw_email

invalid option: —--unknown-user

# rake redmine:email:read RAILS_ENV="production" --unknown-user=accept --no-permission-check prior

ity=normal status=new tracker=task allow_override=project < /root/raw_email
invalid option: —--unknown-user=accept

Authentication required is not selected.
Anonymous has Add issues permission and added to project with identifier it.

History

#1 - 2015-07-29 16:51 - Pavel Potcheptsov

# rake —-f ./Rakefile redmine:email:read RAILS_ENV="production" unknown-user=accept no-permission-check=1 prior
ity=normal status=new tracker=task allow_override=project < /root/raw_email

rake aborted!

Don't know how to build task 'unknown-user=accept'
/usr/local/rvm/gems/ruby-1.9.3-p327/bin/ruby_executable_hooks:15:in “eval'
/usr/local/rvm/gems/ruby—-1.9.3-p327/bin/ruby_executable_hooks:15:in "~ <main>"'

(See full trace by running task with —--trace)

# tail production.log
MailHandler: ignoring email from unknown user []

#2 - 2015-07-30 02:40 - Go MAEDA
- Status changed from New to Needs feedback

- Priority changed from High to Normal

Please use "unknown_user" and "no_permission_check" instead of "unknown-user" and "no-permission-check".
"-" shoud be corrected to " ".

bundle exec rake redmine:email:read RAILS_ENV="production" unknown_user=accept no_permission_check=1 priority=
normal status=new tracker=task allow_override=project < /root/raw_email

#3 - 2015-07-30 08:47 - Pavel Potcheptsov

- File rm_anon_issue.png added

Thanks, it works.
But is there a way to specify Issue's body, subject and author while using redmine:email:read rake task?

Overview Activity Roadmap Issues New issue Repository Settings

Task #18860 2 Edit @ L

(no subject)
Added by Anonymous 2 minutes ago.

Status: Mew Start date: 2015-07-30

Priority: MNormal Due date:

Assignee: = % Done: 0%

Category: = Spent time:
Target version: =
WBS number:

Subtasks

Related issues

7 Edit @ L

#4 - 2015-08-29 05:25 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid
Please use forum for questions.

Files

rm_anon_issue.png 33.9KB 2015-07-30 Pavel Potcheptsov
